if RequiredScript == "lib/managers/hud/hudassaultcorner" then
	function SetMaxPagers(value)
		local new_pagers_data = {}
		for i = 1, value do
			table.insert(new_pagers_data, 1)
		end
		table.insert(new_pagers_data, 0)
		
		tweak_data.player.alarm_pager.bluff_success_chance = new_pagers_data
		tweak_data.player.alarm_pager.bluff_success_chance_w_skill = new_pagers_data
	end
	Hooks:PreHook(HUDAssaultCorner, "init", "change_pagers_count", function(self)
		if Network:is_server() then
			if m_ghost:mode()==2 then
				SetMaxPagers(3)
			elseif m_ghost:mode()==3 then
				SetMaxPagers(0)
			end
		end
	end)
elseif RequiredScript == "lib/managers/group_ai_states/groupaistatebase" then
	local _reg_ecm=GroupAIStateBase.register_ecm_jammer
	function GroupAIStateBase:register_ecm_jammer(unit, jam_settings)
		if Network:is_server() and jam_settings then
			jam_settings.call=jam_settings.call and m_ghost:mode() < 3
			jam_settings.pager=jam_settings.pager and m_ghost:mode() < 3
		end
		return _reg_ecm(self, unit, jam_settings)
	end
end